<?php  
namespace Concrete\Package\SbHitCounter;
use Concrete\Core\Package\Package;
use Concrete\Core\Block\BlockType\BlockType;
use Concrete\Core\Attribute\Key\CollectionKey as CollectionAttributeKey;

class controller extends Package {

    protected $pkgHandle = 'sb_hit_counter';
    protected $appVersionRequired = '5.7.5';
    protected $pkgVersion = '1.0';
    
    public function getPackageDescription() {
        return t("Installs a simple page view - visitor counter.");
        }
    
    public function getPackageName() {
        return t("Hit Counter");
        }             
    
    public function install() {
        $pkg = parent::install();
        BlockType::installBlockType('sb_hit_counter', $pkg); 
        $this->addPageAttr($pkg);
       }
    
    public function addPageAttr($pkg){ 
    $sb_hit_counter = CollectionAttributeKey::getByHandle('sb_hit_counter');
        
        if (!$sb_hit_counter instanceof CollectionAttributeKey) {
           CollectionAttributeKey::add("text", array(
              'akHandle' => 'sb_hit_counter',
              'akName' => t('Hit Counter')), $pkg);
        }
     
}  
     
  }    